Subject: bug#15010: 24.3; mark more checkdoc options as 'safe-local-variable

From: Stefan Monnier <[email-masked]>
Date: Sun, 04 Aug 2013 17:34:26 -0400

> I suggest that in checkdoc.el, some more variables can be set as 'safe-local-
> variable by default.  Right now I use these additions:

>      (put 'checkdoc-verb-check-experimental-flag 'safe-local-variable 
> 'booleanp)

>      (put 'checkdoc-spellcheck-documentation-flag 'safe-local-variable 
> 'booleanp)
>      (put 'checkdoc-ispell-list-words 'safe-local-variable 'checkdoc-list-of-
> strings-p)

>      (put 'checkdoc-proper-noun-regexp 'safe-local-variable 'stringp)
>      (put 'checkdoc-common-verbs-regexp 'safe-local-variable 'stringp)

Could you describe the context in which you want these to be set
locally to particular files?

        Stefan